<ion-card>
  <ion-card-header>
    <ion-card-title>
      Update User
    </ion-card-title>
  </ion-card-header>
  <ion-card-content>

    <form [formGroup]="form">

      <ion-item class="descr">
        <ion-label>Name: </ion-label>
        <ion-input formControlName="name" style="text-transform: capitalize;"></ion-input>
      </ion-item>

      <ion-item *ngIf="form.controls['name'].invalid && form.controls['name'].dirty ">
        <div style=" background-color: salmon;">The field is required</div>
      </ion-item>

      <ion-item class="descr">
        <ion-label>Lastname: </ion-label>
        <ion-input placeholder="{{user.lastName}}" formControlName="lastName" style="text-transform: capitalize;">
        </ion-input>
      </ion-item>

      <ion-item *ngIf="form.controls['lastName'].invalid && form.controls['lastName'].dirty ">
        <div style=" background-color: salmon;">The field is required</div>
      </ion-item>

      <ion-item class="descr">
        <ion-label>Password: </ion-label>
        <ion-input placeholder="{{user.password}}" formControlName="pw" type="password"></ion-input>
      </ion-item>

      <ion-item *ngIf="form.controls['pw'].invalid && form.controls['pw'].dirty ">
        <div style=" background-color: salmon;">The field is required</div>
      </ion-item>

      <ion-item class="descr">
        <ion-label>Email: </ion-label>
        <ion-input placeholder="{{user.mail}}" formControlName="mail"></ion-input>
      </ion-item>

      <ion-item *ngIf="form.controls['mail'].invalid && form.controls['mail'].dirty ">
        <div style=" background-color: salmon;">The field is required</div>
      </ion-item>

      <div style="text-align: center;">
        <ion-button class="save" (click)="save()" [disabled]="form.invalid">Save</ion-button>
      </div>
    </form>
    <!--{{user|json}}-->
  </ion-card-content>
</ion-card>
